flproxy.cpp File Reference

Proxy classes for the flext base class. More...

`#include "flext.h"`
`#include "flinternal.h"`
`#include "flpushns.h"`
`#include "flpopns.h"`

## Macros

#define | __FLEXT_PROXY_CPP
#define | DEF_PROXYMSG(IX)
#define | ADD_PROXYMSG(c, IX)

## Detailed Description

Proxy classes for the flext base class.

## Macro Definition Documentation

## __FLEXT_PROXY_CPP

#define __FLEXT_PROXY_CPP

## ADD_PROXYMSG

#define ADD_PROXYMSG | ( |  | c,
|  |  | IX )

Value:
add_method1(c,cb_px_ft ## IX," ft " #IX,A_FLOAT)

## DEF_PROXYMSG

#define DEF_PROXYMSG | ( |  | IX | ) |

Value:
FLEXT_TEMPIMPL(void FLEXT_CLASSDEF(flext_base))::cb_px_ft ## IX(flext_hdr *c,t_float v) { t_atom atom; SetFloat(atom,v); Locker lock(c); thisObject(c)->CbMethodHandler(IX,sym_float,1,&atom); }
flext_base
Definition flclass.h:60
FLEXT_CLASSDEF
#define FLEXT_CLASSDEF(CL)
Definition flprefix.h:381
FLEXT_TEMPIMPL
#define FLEXT_TEMPIMPL(fun)
Definition flprefix.h:457
flext_hdr
The obligatory PD or Max/MSP object header.
Definition flbase.h:39